Page MenuHomePhabricator

Family file for anarchopedia looks wrong
Closed, ResolvedPublic

Description

There are few site codes which are obsolete and redirected to other. Seems the Family.obsolote dict is twisted, e.g.

self.obsolete = {
   'deu': 'de',
}

must be

self.obsolete = {
   'de': 'ger',
   'deu': 'ger',
}

some entry are overridden by later entries e.g. for 'ell' code

'nno' and 'nob' are still valid and not obsolete

See http://pt.anarchopedia.org/api.php?action=query&meta=siteinfo&siprop=interwikimap&sifilteriw=local

Note: the api is very very slow and should be cached maybe some kind of precaching e.g. for Site.lang to get the right i18n quickly.


Version: core-(2.0)
Severity: normal

Details

Reference
bz70444
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:51 AM
bzimport set Reference to bz70444.
bzimport added a subscriber: Unknown Object (????).
Xqt created this task.Sep 5 2014, 2:56 PM
XZise added a subscriber: XZise.EditedJan 30 2015, 11:42 AM

Judging from the German Special:Interwiki it's deu while the API link provided in the task description is ger. But both use always pol.

gerritbot added a subscriber: gerritbot.

Change 187358 had a related patch set uploaded (by John Vandenberg):
Split Family.obsolete into types of codes

https://gerrit.wikimedia.org/r/187358

Patch-For-Review

It looks like the ISO 639-2 -> 639-1 mapping is intentional:

https://lists.wikimedia.org/pipermail/pywikipedia-l/2008-January/001644.html
https://lists.wikimedia.org/pipermail/pywikipedia-l/2008-November/004583.html

which is the preferred code for these:

http://nob.anarchopedia.org/
http://nno.anarchopedia.org/

I created an account on one wiki, and it appeared automatically on the other wiki, so I think they are the same database. See also:
http://nob.anarchopedia.org/Spesial:Alle_sider
http://nno.anarchopedia.org/Spesial:Alle_sider

ISO 639:nno is Nynorsk
ISO 639:nob is Bokmål

(the same problem exists for two letter: nb or nn?)

I couldn't find a Phabricator account for Milos, Andre, or Guillaume.

http://eng.anarchopedia.org/Special:NewPages is empty.

Some activity here:
http://deu.anarchopedia.org/Spezial:Beitr%C3%A4ge/Jamie_Balius

not much going on at
http://eng.anarchopedia.org/Anarchopedia:Community_Portal

I am finding lots of pages which use two letter interwiki link codes:

http://eng.anarchopedia.org/list_of_anarchist_publications
http://eng.anarchopedia.org/Noam_Chomsky
http://eng.anarchopedia.org/Anarcha-feminism
http://eng.anarchopedia.org/2008

I havent seen any three letter interwiki link codes yet.

Change 190429 had a related patch set uploaded (by John Vandenberg):
Fix anarchopedia family file

https://gerrit.wikimedia.org/r/190429

Patch-For-Review

Change 190429 merged by jenkins-bot:
Fix anarchopedia family file

https://gerrit.wikimedia.org/r/190429

Change 190643 had a related patch set uploaded (by Xqt):
Fix anarchopedia family file, update from core

https://gerrit.wikimedia.org/r/190643

Patch-For-Review

Change 190643 merged by jenkins-bot:
Fix anarchopedia family file, update from core

https://gerrit.wikimedia.org/r/190643

jayvdb closed this task as Resolved.Feb 14 2015, 10:11 PM
jayvdb claimed this task.

Change 187358 merged by jenkins-bot:
Split Family.obsolete into types of codes

https://gerrit.wikimedia.org/r/187358